use FlowingExampleWithTriggers
go

Declare @city nvarchar(max)
Declare @ZIP nvarchar(max)
Declare @CompanyName nvarchar(max)
Declare @Industry nvarchar(max)
Declare @Title nvarchar(max)
Declare @State nvarchar(max)
Declare @ContactName nvarchar(max)
Declare @ADDRESS nvarchar(max)

Declare @Countez int
set @Countez = 200

--exec sp_rename 'MasterTable', 'MasterTable_bak'
DECLARE cursorElement CURSOR FOR
            SELECT  City, ZIP, CompanyName, Industry, Title, [State], ContactName, [ADDRESS]
            FROM    MasterTable_bak	
	
	OPEN cursorElement

		-- get the first inserted row
		FETCH NEXT FROM cursorElement INTO @city, @ZIP, @CompanyName, @Industry, @Title, @State, @ContactName, @ADDRESS

		-- For every inserted row: ( @@FETCH_STATUS = 0 )
		WHILE ( @@FETCH_STATUS = 0 )
		BEGIN
			insert into MasterTable (city, ZIP, CompanyName, Industry, Title, [State], ContactName, [ADDRESS])
				values (@city, @ZIP, @CompanyName, @Industry, @Title, @State, @ContactName, @ADDRESS)

			-- get next row
			FETCH NEXT FROM cursorElement INTO @city, @ZIP, @CompanyName, @Industry, @Title, @State, @ContactName, @ADDRESS
			-- set @Countez = @Countez - 1
		END         
	CLOSE cursorElement
	DEALLOCATE cursorElement
	
	/*
*/